be.fgov.ehealth.etee.crypto.status

## Enum NotificationError

- java.lang.Object
- - java.lang.Enum<NotificationError>
  - - be.fgov.ehealth.etee.crypto.status.NotificationError

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotificationError>

      public enum NotificationError
      extends java.lang.Enum<NotificationError>

  A NotificationError indicates that the validation or unsealing of a sealed message was successfully completed, BUT that the integrity or author authentication of the message is NOT CORRECT according to the eHealth specifications. The source of the incorrectness is described by the NotificationError. Although it is not certain that the data authentication is broken, it is questionable. The receiver of such an encrypted message should not trust the origin of the message, nor the content.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATION_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS` Error indicating that the outer signature is placed with a certificate that is not in the list of expected signingCredentials.
    `CRL_NOT_SUPPORTED` Type or scheme of CRL was not supported.
    `CRL_TRUST_FAILED` Signature Verifications on the given certificate, issuer and CRL failed so it cannot be trusted.
    `DECRYPTION_ASYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED` The encryption algorithm used in the encrypted message is not authorized according to the eHealth specifications.
    `DECRYPTION_ASYMMETRIC_KEY_LENGTH_UNAUTHORIZED` The lenght of the encryption key used in the encrypted message is not authorized according to the eHealth specifications.
    `DECRYPTION_SYMMETRIC_KEY_ALGORITHM_PADDING_UNAUTHORIZED` The padding mechanism of the Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.
    `DECRYPTION_SYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED` The Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.
    `DECRYPTION_SYMMETRIC_KEY_LENGTH_UNAUTHORIZED` The lenght of the Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.
    `ETK_AUTHENTICATION_CERT_EXPIRED` ETK authentication certificate has expired.
    `ETK_AUTHENTICATION_CERT_HAS_INVALID_KEY` ETK authentication certificate public key is not valid.
    `ETK_AUTHENTICATION_CERT_HAS_INVALID_KEYUSAGE` ETK authentication certificate has a wrong key usage.
    `ETK_AUTHENTICATION_CERT_NOT_YET_VALID` ETK authentication certificate not yet valid.
    `ETK_AUTHENTICATION_CERT_REVOKED` ETK authentication certificate is revoked.
    `ETK_AUTHENTICATION_CERT_STATUS_UNKNOWN` ETK authentication certificate status could not be verified.
    `ETK_CERTS_DO_NOT_MATCH` Certificate owner of encryption and authentication certificate is not one and the same.
    `ETK_CERTS_INVALID` ETK certificates are invalid.
    `ETK_ENCRYPTION_CERT_EXPIRED` ETK encryption certificate has expired.
    `ETK_ENCRYPTION_CERT_HAS_INVALID_KEYUSAGE` ETK encryption certificate has a wrong key usage.
    `ETK_ENCRYPTION_CERT_NOT_YET_VALID` ETK encryption certificate not yet valid.
    `ETK_ENCRYPTION_CERT_SIGNATURE_NOT_VALID` ETK encryption certificate signature is not valid.
    `ETK_RA_CERT_EXPIRED` ETK RA certificate is expired.
    `ETK_RA_CERT_REVOKED` ETK RA certificate is revoked.
    `ETK_RA_CERT_STATUS_UNKNOWN` ETK RA certificate status could not be verified.
    `INNER_CERTIFICATE_CHAIN_NOT_TRUSTED` The signature certificate chain corresponding to the inner signature is not valid.
    `INNER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT` Failure indicating that an authentication certificate was expected but not found in the inner signed message.
    `INNER_CERTIFICATE_EXPIRED` Error indicating that the signature certificate corresponding to the inner signature is expired.
    `INNER_CERTIFICATE_HAS_INVALID_KEYUSAGE` Failure indicating that the signature certificate corresponding to the inner signature has an invalid key usage.
    `INNER_CERTIFICATE_NOT_YET_VALID` Error indicating that the signature certificate corresponding to the inner signature is not yet valid.
    `INNER_CERTIFICATE_REVOKED` Error indicating that the signature certificate corresponding to the inner signature has been revoked.
    `INNER_CERTIFICATE_STATUS_UNKNOWN` Error indicating that the status of the signature certificate corresponding to the inner signature could not be verified.
    `INNER_SIGNATURE_ALGORITHM_UNAUTHORIZED` Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `INNER_SIGNATURE_COULD_NOT_BE_VERIFIED` Failure indicating that the inner signature could not be verified caused by an unknown reason.
    `INNER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED` Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `INNER_SIGNATURE_DOES_NOT_MATCH_SIGNATURE_CERTIFICATE` Error indicating that the inner signature is not created by the private key that corresponds to the accompanying authentication certificate.
    `INNER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED` Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED` The inner signature was not placed according to the given policy/policies (key length, digest algorithm, encryption algorithm).
    `INNER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT` Failure indicating that an identifier for the public key was expected but not found in the inner signed message.
    `MESSAGE_INTEGRITY_INVALID` Failure indicating that the inner and outer signature are created by a different author.
    `OCSP_NOT_EMBEDDED` An embedded OCSP was mandatory in the message but not found.
    `OCSP_RESPONDER_CHAIN_COULD_NOT_BE_VERIFIED` The trust relation with the OCSP Responder could not be consolidated.
    `OCSP_RESPONDER_CHAIN_EXPIRED` Failure indicating that the OCSP of the certificate in question cannot be trusted due to an expired certificate chain used by the OCSP Responder.
    `OCSP_RESPONDER_CHAIN_REVOKED` Failure indicating that the OCSP of the certificate in question cannot be trusted due to a revoked certificate chain used by the OCSP Responder.
    `OCSP_RESPONDER_TRUST_FAILED` Failure indicating that the received OCSPResponse cannot be trusted.
    `OCSP_RESPONSE_INVALID` Failure indicating that the received OCSPResponse is in an invalid state.
    `OUTER_CERTIFICATE_CHAIN_NOT_TRUSTED` The authentication certificate chain corresponding to the outer signature is not valid.
    `OUTER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT` Failure indicating that an authentication certificate was expected but not found in the outer signed message.
    `OUTER_CERTIFICATE_EXPIRED` Error indicating that the authentication certificate corresponding to the outer signature is expired.
    `OUTER_CERTIFICATE_HAS_INVALID_KEYUSAGE` Failure indicating that the authentication certificate corresponding to the outer signature has an invalid key usage.
    `OUTER_CERTIFICATE_NOT_YET_VALID` Error indicating that the authentication certificate corresponding to the outer signature is not yet valid.
    `OUTER_CERTIFICATE_REVOKED` Error indicating that the authentication certificate corresponding to the outer signature has been revoked.
    `OUTER_CERTIFICATE_STATUS_UNKNOWN` Error indicating that the status of the authentication certificate corresponding to the outer signature could not be verified.
    `OUTER_SIGNATURE_ALGORITHM_UNAUTHORIZED` Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `OUTER_SIGNATURE_COULD_NOT_BE_VERIFIED` Failure indicating that the outer signature could not be verified caused by an unknown reason.
    `OUTER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED` Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `OUTER_SIGNATURE_DOES_NOT_MATCH_AUTHENTICATION_CERTIFICATE` Error indicating that the outer signature is not created by the private key that corresponds to the accompanying authentication certificate.
    `OUTER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED` Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
    `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED` The outer signature was not placed according to the given policy/policies (key length, digest algorithm, encryption algorithm).
    `OUTER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT` Failure indicating that an identifier for the public key was expected but not found in the outer signed message.
    `SIGNATURE_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS` Error indicating that the inner signature is placed with a certificate that is not in the list of expected signingCredentials.
    `TIMESTAMPTOKEN_CHAIN_EXPIRED` Failure indicating that the TimeStampToken in the message cannot be trusted due to an expired certificate chain.
    `TIMESTAMPTOKEN_CHAIN_REVOKED` Failure indicating that the TimeStampToken in the message cannot be trusted due to a revoked certificate chain.
    `TIMESTAMPTOKEN_DOES_NOT_MATCH_OUTER_SIGNATURE` Failure indicating that the TimeStampToken does not match the outer signature.
    `TIMESTAMPTOKEN_INVALID` Failure indicating that the TimeStampToken in the message is in an invalid state.
    `TIMESTAMPTOKEN_TRUST_FAILED` Failure indicating that the received TimeStampToken cannot be trusted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotificationError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotificationError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DECRYPTION_SYMMETRIC_KEY_LENGTH_UNAUTHORIZED

          public static final NotificationError DECRYPTION_SYMMETRIC_KEY_LENGTH_UNAUTHORIZED

      The lenght of the Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.

    - #### DECRYPTION_SYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED

          public static final NotificationError DECRYPTION_SYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED

      The Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.

    - #### DECRYPTION_SYMMETRIC_KEY_ALGORITHM_PADDING_UNAUTHORIZED

          public static final NotificationError DECRYPTION_SYMMETRIC_KEY_ALGORITHM_PADDING_UNAUTHORIZED

      The padding mechanism of the Encryption Symmetric Cipher used in the encrypted message is not authorized according to the eHealth specifications.

    - #### DECRYPTION_ASYMMETRIC_KEY_LENGTH_UNAUTHORIZED

          public static final NotificationError DECRYPTION_ASYMMETRIC_KEY_LENGTH_UNAUTHORIZED

      The lenght of the encryption key used in the encrypted message is not authorized according to the eHealth specifications.

    - #### DECRYPTION_ASYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED

          public static final NotificationError DECRYPTION_ASYMMETRIC_KEY_ALGORITHM_UNAUTHORIZED

      The encryption algorithm used in the encrypted message is not authorized according to the eHealth specifications.

    - #### MESSAGE_INTEGRITY_INVALID

          public static final NotificationError MESSAGE_INTEGRITY_INVALID

      Failure indicating that the inner and outer signature are created by a different author.

    - #### INNER_SIGNATURE_ALGORITHM_UNAUTHORIZED

          @Deprecated
          public static final NotificationError INNER_SIGNATURE_ALGORITHM_UNAUTHORIZED

      Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The signature algorithm used for the inner signature of the encrypted message is not authorized according to the eHealth specifications.

    - #### OUTER_SIGNATURE_ALGORITHM_UNAUTHORIZED

          @Deprecated
          public static final NotificationError OUTER_SIGNATURE_ALGORITHM_UNAUTHORIZED

      Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The signature algorithm used for the outer signature of the encrypted message is not authorized according to the eHealth specifications.

    - #### INNER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED

          @Deprecated
          public static final NotificationError INNER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED

      Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The signature digest algorithm used for the inner signature in the encrypted message is not authorized according to the eHealth specifications.

    - #### OUTER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED

          @Deprecated
          public static final NotificationError OUTER_SIGNATURE_DIGEST_ALGORITHM_UNAUTHORIZED

      Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The signature digest algorithm used for the outer signature in the encrypted message is not authorized according to the eHealth specifications.

    - #### INNER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED

          @Deprecated
          public static final NotificationError INNER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED

      Deprecated. Use `INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The length of the signature key used for the inner signature in the encrypted message is not authorized according to the eHealth specifications.

    - #### OUTER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED

          @Deprecated
          public static final NotificationError OUTER_SIGNATURE_KEY_LENGTH_UNAUTHORIZED

      Deprecated. Use `OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED`
      The length of the authentication key used for the outer signature in the encrypted message is not authorized according to the eHealth specifications.

    - #### OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED

          public static final NotificationError OUTER_SIGNATURE_KEY_SPECS_UNAUTHORIZED

      The outer signature was not placed according to the given policy/policies (key length, digest algorithm, encryption algorithm).

    - #### INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED

          public static final NotificationError INNER_SIGNATURE_KEY_SPECS_UNAUTHORIZED

      The inner signature was not placed according to the given policy/policies (key length, digest algorithm, encryption algorithm).

    - #### INNER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT

          public static final NotificationError INNER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT

      Failure indicating that an authentication certificate was expected but not found in the inner signed message.

    - #### OUTER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT

          public static final NotificationError OUTER_CERTIFICATE_EXPECTED_BUT_NOT_PRESENT

      Failure indicating that an authentication certificate was expected but not found in the outer signed message.

    - #### INNER_CERTIFICATE_HAS_INVALID_KEYUSAGE

          public static final NotificationError INNER_CERTIFICATE_HAS_INVALID_KEYUSAGE

      Failure indicating that the signature certificate corresponding to the inner signature has an invalid key usage.

    - #### OUTER_CERTIFICATE_HAS_INVALID_KEYUSAGE

          public static final NotificationError OUTER_CERTIFICATE_HAS_INVALID_KEYUSAGE

      Failure indicating that the authentication certificate corresponding to the outer signature has an invalid key usage.

    - #### INNER_CERTIFICATE_REVOKED

          public static final NotificationError INNER_CERTIFICATE_REVOKED

      Error indicating that the signature certificate corresponding to the inner signature has been revoked.

    - #### OUTER_CERTIFICATE_REVOKED

          public static final NotificationError OUTER_CERTIFICATE_REVOKED

      Error indicating that the authentication certificate corresponding to the outer signature has been revoked.

    - #### INNER_CERTIFICATE_STATUS_UNKNOWN

          public static final NotificationError INNER_CERTIFICATE_STATUS_UNKNOWN

      Error indicating that the status of the signature certificate corresponding to the inner signature could not be verified. (missing CRL, missing CA certificates, ...)

    - #### OUTER_CERTIFICATE_STATUS_UNKNOWN

          public static final NotificationError OUTER_CERTIFICATE_STATUS_UNKNOWN

      Error indicating that the status of the authentication certificate corresponding to the outer signature could not be verified. (missing CRL, missing CA certificates, ...)

    - #### INNER_CERTIFICATE_EXPIRED

          public static final NotificationError INNER_CERTIFICATE_EXPIRED

      Error indicating that the signature certificate corresponding to the inner signature is expired.

    - #### OUTER_CERTIFICATE_EXPIRED

          public static final NotificationError OUTER_CERTIFICATE_EXPIRED

      Error indicating that the authentication certificate corresponding to the outer signature is expired.

    - #### INNER_CERTIFICATE_NOT_YET_VALID

          public static final NotificationError INNER_CERTIFICATE_NOT_YET_VALID

      Error indicating that the signature certificate corresponding to the inner signature is not yet valid.

    - #### OUTER_CERTIFICATE_NOT_YET_VALID

          public static final NotificationError OUTER_CERTIFICATE_NOT_YET_VALID

      Error indicating that the authentication certificate corresponding to the outer signature is not yet valid.

    - #### INNER_CERTIFICATE_CHAIN_NOT_TRUSTED

          public static final NotificationError INNER_CERTIFICATE_CHAIN_NOT_TRUSTED

      The signature certificate chain corresponding to the inner signature is not valid. Possible reasons can be: - the signature chain is broken somewhere. - one or more certificates in the chain are expired. - one or more certificates in the chain are revoked. - one or more certificates in the chain have an inappropriate key usage.

    - #### OUTER_CERTIFICATE_CHAIN_NOT_TRUSTED

          public static final NotificationError OUTER_CERTIFICATE_CHAIN_NOT_TRUSTED

      The authentication certificate chain corresponding to the outer signature is not valid. Possible reasons can be: - the signature chain is broken somewhere. - one or more certificates in the chain are expired. - one or more certificates in the chain are revoked. - one or more certificates in the chain have an inappropriate key usage.

    - #### INNER_SIGNATURE_DOES_NOT_MATCH_SIGNATURE_CERTIFICATE

          public static final NotificationError INNER_SIGNATURE_DOES_NOT_MATCH_SIGNATURE_CERTIFICATE

      Error indicating that the inner signature is not created by the private key that corresponds to the accompanying authentication certificate.

    - #### OUTER_SIGNATURE_DOES_NOT_MATCH_AUTHENTICATION_CERTIFICATE

          public static final NotificationError OUTER_SIGNATURE_DOES_NOT_MATCH_AUTHENTICATION_CERTIFICATE

      Error indicating that the outer signature is not created by the private key that corresponds to the accompanying authentication certificate.

    - #### SIGNATURE_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS

          public static final NotificationError SIGNATURE_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS

      Error indicating that the inner signature is placed with a certificate that is not in the list of expected signingCredentials.

    - #### AUTHENTICATION_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS

          public static final NotificationError AUTHENTICATION_CERTIFICATE_NOT_IN_LIST_EXPECTED_SIGNERS

      Error indicating that the outer signature is placed with a certificate that is not in the list of expected signingCredentials.

    - #### INNER_SIGNATURE_COULD_NOT_BE_VERIFIED

          public static final NotificationError INNER_SIGNATURE_COULD_NOT_BE_VERIFIED

      Failure indicating that the inner signature could not be verified caused by an unknown reason. Accompanying failures in the DataAuthenticationFailures list may give an indication of which parameter in the CMS signed data structure has a wrong value.

    - #### OUTER_SIGNATURE_COULD_NOT_BE_VERIFIED

          public static final NotificationError OUTER_SIGNATURE_COULD_NOT_BE_VERIFIED

      Failure indicating that the outer signature could not be verified caused by an unknown reason. Accompanying failures in the DataAuthenticationFailures list may give an indication of which parameter in the CMS signed data structure has a wrong value.

    - #### OCSP_NOT_EMBEDDED

          public static final NotificationError OCSP_NOT_EMBEDDED

      An embedded OCSP was mandatory in the message but not found.

    - #### OCSP_RESPONSE_INVALID

          public static final NotificationError OCSP_RESPONSE_INVALID

      Failure indicating that the received OCSPResponse is in an invalid state.

    - #### OCSP_RESPONDER_TRUST_FAILED

          public static final NotificationError OCSP_RESPONDER_TRUST_FAILED

      Failure indicating that the received OCSPResponse cannot be trusted.

    - #### OCSP_RESPONDER_CHAIN_EXPIRED

          public static final NotificationError OCSP_RESPONDER_CHAIN_EXPIRED

      Failure indicating that the OCSP of the certificate in question cannot be trusted due to an expired certificate chain used by the OCSP Responder.

    - #### OCSP_RESPONDER_CHAIN_REVOKED

          public static final NotificationError OCSP_RESPONDER_CHAIN_REVOKED

      Failure indicating that the OCSP of the certificate in question cannot be trusted due to a revoked certificate chain used by the OCSP Responder.

    - #### OCSP_RESPONDER_CHAIN_COULD_NOT_BE_VERIFIED

          public static final NotificationError OCSP_RESPONDER_CHAIN_COULD_NOT_BE_VERIFIED

      The trust relation with the OCSP Responder could not be consolidated.

    - #### TIMESTAMPTOKEN_DOES_NOT_MATCH_OUTER_SIGNATURE

          public static final NotificationError TIMESTAMPTOKEN_DOES_NOT_MATCH_OUTER_SIGNATURE

      Failure indicating that the TimeStampToken does not match the outer signature.

    - #### TIMESTAMPTOKEN_INVALID

          public static final NotificationError TIMESTAMPTOKEN_INVALID

      Failure indicating that the TimeStampToken in the message is in an invalid state.

    - #### TIMESTAMPTOKEN_TRUST_FAILED

          public static final NotificationError TIMESTAMPTOKEN_TRUST_FAILED

      Failure indicating that the received TimeStampToken cannot be trusted.

    - #### TIMESTAMPTOKEN_CHAIN_EXPIRED

          public static final NotificationError TIMESTAMPTOKEN_CHAIN_EXPIRED

      Failure indicating that the TimeStampToken in the message cannot be trusted due to an expired certificate chain.

    - #### TIMESTAMPTOKEN_CHAIN_REVOKED

          public static final NotificationError TIMESTAMPTOKEN_CHAIN_REVOKED

      Failure indicating that the TimeStampToken in the message cannot be trusted due to a revoked certificate chain.

    - #### ETK_ENCRYPTION_CERT_SIGNATURE_NOT_VALID

          public static final NotificationError ETK_ENCRYPTION_CERT_SIGNATURE_NOT_VALID

      ETK encryption certificate signature is not valid.

    - #### ETK_AUTHENTICATION_CERT_HAS_INVALID_KEY

          public static final NotificationError ETK_AUTHENTICATION_CERT_HAS_INVALID_KEY

      ETK authentication certificate public key is not valid.

    - #### ETK_CERTS_INVALID

          public static final NotificationError ETK_CERTS_INVALID

      ETK certificates are invalid.

    - #### ETK_ENCRYPTION_CERT_EXPIRED

          public static final NotificationError ETK_ENCRYPTION_CERT_EXPIRED

      ETK encryption certificate has expired.

    - #### ETK_ENCRYPTION_CERT_NOT_YET_VALID

          public static final NotificationError ETK_ENCRYPTION_CERT_NOT_YET_VALID

      ETK encryption certificate not yet valid.

    - #### ETK_AUTHENTICATION_CERT_EXPIRED

          public static final NotificationError ETK_AUTHENTICATION_CERT_EXPIRED

      ETK authentication certificate has expired.

    - #### ETK_AUTHENTICATION_CERT_NOT_YET_VALID

          public static final NotificationError ETK_AUTHENTICATION_CERT_NOT_YET_VALID

      ETK authentication certificate not yet valid.

    - #### ETK_ENCRYPTION_CERT_HAS_INVALID_KEYUSAGE

          public static final NotificationError ETK_ENCRYPTION_CERT_HAS_INVALID_KEYUSAGE

      ETK encryption certificate has a wrong key usage.

    - #### ETK_AUTHENTICATION_CERT_HAS_INVALID_KEYUSAGE

          public static final NotificationError ETK_AUTHENTICATION_CERT_HAS_INVALID_KEYUSAGE

      ETK authentication certificate has a wrong key usage.

    - #### ETK_CERTS_DO_NOT_MATCH

          public static final NotificationError ETK_CERTS_DO_NOT_MATCH

      Certificate owner of encryption and authentication certificate is not one and the same.

    - #### ETK_AUTHENTICATION_CERT_REVOKED

          public static final NotificationError ETK_AUTHENTICATION_CERT_REVOKED

      ETK authentication certificate is revoked.

    - #### ETK_AUTHENTICATION_CERT_STATUS_UNKNOWN

          public static final NotificationError ETK_AUTHENTICATION_CERT_STATUS_UNKNOWN

      ETK authentication certificate status could not be verified.

    - #### ETK_RA_CERT_EXPIRED

          public static final NotificationError ETK_RA_CERT_EXPIRED

      ETK RA certificate is expired.

    - #### ETK_RA_CERT_REVOKED

          public static final NotificationError ETK_RA_CERT_REVOKED

      ETK RA certificate is revoked.

    - #### ETK_RA_CERT_STATUS_UNKNOWN

          public static final NotificationError ETK_RA_CERT_STATUS_UNKNOWN

      ETK RA certificate status could not be verified.

    - #### CRL_TRUST_FAILED

          public static final NotificationError CRL_TRUST_FAILED

      Signature Verifications on the given certificate, issuer and CRL failed so it cannot be trusted.

    - #### CRL_NOT_SUPPORTED

          public static final NotificationError CRL_NOT_SUPPORTED

      Type or scheme of CRL was not supported.

    - #### INNER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT

          public static final NotificationError INNER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT

      Failure indicating that an identifier for the public key was expected but not found in the inner signed message.

    - #### OUTER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT

          public static final NotificationError OUTER_SUBJECT_KEY_IDENTIFIER_EXPECTED_BUT_NOT_PRESENT

      Failure indicating that an identifier for the public key was expected but not found in the outer signed message.

  - ### Method Detail

    - #### values

          public static NotificationError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationError c : NotificationError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationError valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2021 eHealth. All rights reserved.